package com.dcsoft.system.consume.domain;

import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 商户营业汇总
 *
 * @author nichun
 * @date 2023-09-08
 */
public class BusinessSummary extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 商户 */
    @Excel(name = "商户",sort = 1)
    private String businessName;

    @Excel(name = "消费机",sort = 2)
    private String eqName;
    /** 次数 */
    @Excel(name = "合计次数",sort = 3)
    private int num;
    /** 金额 */
    @Excel(name = "合计次数",sort = 4)
    private Double money;
    /** 记账次数 */
    private int accountNum;
    /** 记账金额 */
    private Double accountMoney;
    /** 扣款次数 */
    private int buttonNum;
    /** 扣款金额 */
    private Double buttonMoney;
    /** 扣款次数 */
    @Excel(name = "二维码次数",sort = 11)
    private int ewmnum;
    /** 扣款金额 */
    @Excel(name = "二维码金额",sort = 12)
    private Double ewmmoney;

    /** 单价次数 */
    @Excel(name = "单价次数",sort = 5)
    private int djnum;
    /** 单价金额 */
    @Excel(name = "单价金额",sort = 6)
    private Double djmoney;

    /** 定值次数 */
    @Excel(name = "定值次数",sort =7)
    private int dznum;

    /** 定值金额 */
    @Excel(name = "定值金额",sort =8)
    private Double dzmoney;


    /** 计次次数 */
    @Excel(name = "计次次数",sort = 9)
    private int jcnum;
    /** 计次金额 */
    @Excel(name = "计次金额",sort = 10)
    private Double jcmoney;




    public String getEqName() {
        return eqName;
    }

    public void setEqName(String eqName) {
        this.eqName = eqName;
    }

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date endTime;


    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public int getDjnum() {
        return djnum;
    }

    public void setDjnum(int djnum) {
        this.djnum = djnum;
    }

    public Double getDjmoney() {
        return djmoney;
    }

    public void setDjmoney(Double djmoney) {
        this.djmoney = djmoney;
    }

    public int getDznum() {
        return dznum;
    }

    public void setDznum(int dznum) {
        this.dznum = dznum;
    }

    public Double getDzmoney() {
        return dzmoney;
    }

    public void setDzmoney(Double dzmoney) {
        this.dzmoney = dzmoney;
    }

    public int getJcnum() {
        return jcnum;
    }

    public void setJcnum(int jcnum) {
        this.jcnum = jcnum;
    }

    public Double getJcmoney() {
        return jcmoney;
    }

    public void setJcmoney(Double jcmoney) {
        this.jcmoney = jcmoney;
    }

    public String getBusinessName() {
        return businessName;
    }

    public void setBusinessName(String businessName) {
        this.businessName = businessName;
    }

    public int getNum() {
        return num;
    }

    public void setNum(int num) {
        this.num = num;
    }

    public Double getMoney() {
        return money;
    }

    public void setMoney(Double money) {
        this.money = money;
    }

    public int getAccountNum() {
        return accountNum;
    }

    public void setAccountNum(int accountNum) {
        this.accountNum = accountNum;
    }

    public Double getAccountMoney() {
        return accountMoney;
    }

    public void setAccountMoney(Double accountMoney) {
        this.accountMoney = accountMoney;
    }

    public int getButtonNum() {
        return buttonNum;
    }

    public void setButtonNum(int buttonNum) {
        this.buttonNum = buttonNum;
    }

    public Double getButtonMoney() {
        return buttonMoney;
    }

    public void setButtonMoney(Double buttonMoney) {
        this.buttonMoney = buttonMoney;
    }

    public int getEwmnum() {
        return ewmnum;
    }

    public void setEwmnum(int ewmnum) {
        this.ewmnum = ewmnum;
    }

    public Double getEwmmoney() {
        return ewmmoney;
    }

    public void setEwmmoney(Double ewmmoney) {
        this.ewmmoney = ewmmoney;
    }
}
